> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record brand outcome

> Record brand outcome

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Request body

`object`

<ParamField body="workflow_execution_id" type="string" />

<ParamField body="workflow_id" type="string" />

<ParamField body="external_id" type="string" />

<ParamField body="outcome_type" type="string" />

<ParamField body="status" type="string" />

<ParamField body="source" type="string" />

<ParamField body="channel" type="string" />

<ParamField body="currency" type="string" />

<ParamField body="value_minor" type="integer" />

<ParamField body="quantity" type="integer" />

<ParamField body="dedupe_key" type="string" />

<ParamField body="billable" type="boolean" />

<ParamField body="metadata" type="object" />

<ParamField body="occurred_at" type="string" />

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="brand_id" type="string (uuid)" required />

<ResponseField name="workflow_execution_id" type="string (uuid)" />

<ResponseField name="workflow_id" type="string" />

<ResponseField name="external_id" type="string" />

<ResponseField name="outcome_type" type="string" required />

<ResponseField name="status" type="string" required />

<ResponseField name="source" type="string" required />

<ResponseField name="channel" type="string" />

<ResponseField name="currency" type="string" />

<ResponseField name="value_minor" type="integer" />

<ResponseField name="quantity" type="integer" required />

<ResponseField name="dedupe_key" type="string" />

<ResponseField name="billable" type="boolean" required />

<ResponseField name="metadata" type="object" required />

<ResponseField name="occurred_at" type="string (date-time)" required />

<ResponseField name="created_at" type="string (date-time)" required />

<ResponseField name="updated_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning           |
| ----- | ----------------- |
| `201` | Outcome recorded. |
| `400` | Validation error  |
| `401` | Unauthorized      |
| `404` | Not found         |
| `429` | Rate limited      |
| `500` | Internal error    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/outcomes' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "outcome_type": "string",
    "status": "pending",
    "source": "string",
    "channel": "string",
    "currency": "USD",
    "value_minor": 4900,
    "quantity": 2,
    "dedupe_key": "string",
    "billable": true,
    "metadata": {},
    "occurred_at": "2026-08-31T14:22:05Z"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "outcome_type": "string",
    "status": "pending",
    "source": "string",
    "channel": "string",
    "currency": "USD",
    "value_minor": 4900,
    "quantity": 2,
    "dedupe_key": "string",
    "billable": true,
    "metadata": {},
    "occurred_at": "2026-08-31T14:22:05Z",
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
